const defaultConfig = require( '@wordpress/scripts/config/webpack.config' );
const path = require( 'path' );

module.exports = {
    ...defaultConfig,
    entry: {
        ...defaultConfig.entry(),
        'motion/ucla-motion': [ path.resolve( __dirname, 'src/motion/index.js' ) ],
        'responsive-controls/responsive-controls': [ path.resolve( __dirname, 'src/responsive-controls/index.js' ) ]
    },
    output: {
        filename: '[name].js',
        path: path.resolve( __dirname, 'build' )
    }
};